#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\button.h>
#include "pr75_1.rc"

class TApp : public TApplication
	{
	 public :
		 TApp() : TApplication() {};
		 void InitMainWindow();
	};

class TypeWin : public TFrameWindow
	{
	 public :
		 TypeWin(TWindow *parent, const char far *title);
	 protected :
		TButton *b1;
		 BOOL flag;
		 BOOL CanClose();
		 DECLARE_RESPONSE_TABLE(TypeWin);
		 void SetupWindow();
	void PushBut();
	void EvMouseMove(UINT,TPoint &point);
};

DEFINE_RESPONSE_TABLE1(TypeWin,TFrameWindow)
	  EV_COMMAND(CM_PUSHB1,PushBut),
	  EV_WM_MOUSEMOVE,
END_RESPONSE_TABLE;

TypeWin::TypeWin(TWindow *parent, const char far *title):
				 TFrameWindow(parent, title)
{
         Attr.X=50;
         Attr.Y=50;
         Attr.W=450;
         Attr.H=450;
         flag=FALSE;
         b1=new TButton(this,CM_PUSHB1,"",250,200,60,30);
}

void TypeWin::EvMouseMove(UINT,TPoint &point)
{
if   (flag==TRUE)
  {
	delete b1;
	b1=new TButton(this,CM_PUSHB1,"",point.x,point.y,60,30);
	SetupWindow();
  }
}

void TypeWin::PushBut()
{
	switch (flag)
		{
		 case  FALSE : flag=TRUE; break;
		 case  TRUE : flag=FALSE; break;
		}
}


void TypeWin::SetupWindow()
{
  TFrameWindow::SetupWindow();
}



BOOL TypeWin::CanClose()
{
   int result=MessageBox("  ?",
		  "",MB_YESNO | MB_ICONQUESTION);
   if (result==IDYES) return TRUE;
   else return FALSE;
}


void TApp::InitMainWindow()
{
  TypeWin  *window =new TypeWin(0," ");
  SetMainWindow(window);
}

int OwlMain(int, char* [])
{
 return TApp().Run();
}
